Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm
Class PrologException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              gnu.prolog.vm.PrologException

All Implemented Interfaces:
  Serializable

    public class PrologException

extends Exception

a prolog exception

See Also:
  Serialized Form

Field Summary
`static CompoundTermTag` | `domainErrorTag`
`static AtomTerm` | `errorAtom`
`static CompoundTermTag` | `errorTag`
`static CompoundTermTag` | `evaluationErrorTag`
`static CompoundTermTag` | `existenceErrorTag`
`static AtomTerm` | `instantiationErrorAtom`
`protected String` | `msg` message of exception
`static CompoundTermTag` | `permissionErrorTag`
`static CompoundTermTag` | `representationErrorTag`
`static CompoundTermTag` | `syntaxErrorTag`
`static AtomTerm` | `systemErrorAtom`
`protected Term` | `term` term of the exception
`static CompoundTermTag` | `typeErrorTag`

Constructor Summary
`protected` | `PrologException()`
`protected` | `PrologException(String message)`
`protected` | `PrologException(String message, Throwable cause)`
`` | `PrologException(Term term, Throwable inner)` a constructor
`protected` | `PrologException(Throwable cause)`

Method Summary
`static void` | `domainError(AtomTerm errorType, Term errorTerm)`
`static void` | `evalutationError(AtomTerm error)`
`static void` | `existenceError(AtomTerm errorType, Term errorTerm)`
`String` | `getMessage()`
`Term` | `getTerm()` get term of this exception
`static void` | `instantiationError()`
`static void` | `permissionError(AtomTerm operation, AtomTerm permissionType, Term culprit)`
`static void` | `representationError(Term errorTerm)`
`static void` | `syntaxError(AtomTerm term)`
`static void` | `syntaxError(AtomTerm term, Throwable inner)`
`static void` | `syntaxError(ParseException ex)`
`static void` | `systemError()`
`static void` | `systemError(Throwable inner)`
`static void` | `typeError(AtomTerm errorType, Term errorTerm)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### term

    protected Term term

  term of the exception

### msg

    protected String msg

  message of exception

### instantiationErrorAtom

    public static final AtomTerm instantiationErrorAtom

### systemErrorAtom

    public static final AtomTerm systemErrorAtom

### errorAtom

    public static final AtomTerm errorAtom

### errorTag

    public static final CompoundTermTag errorTag

### typeErrorTag

    public static final CompoundTermTag typeErrorTag

### existenceErrorTag

    public static final CompoundTermTag existenceErrorTag

### domainErrorTag

    public static final CompoundTermTag domainErrorTag

### representationErrorTag

    public static final CompoundTermTag representationErrorTag

### syntaxErrorTag

    public static final CompoundTermTag syntaxErrorTag

### permissionErrorTag

    public static final CompoundTermTag permissionErrorTag

### evaluationErrorTag

    public static final CompoundTermTag evaluationErrorTag

Constructor Detail

### PrologException

    protected PrologException()

### PrologException

    protected PrologException(String message,
                              Throwable cause)

Parameters:
  `message` -
  `cause` -

### PrologException

    protected PrologException(String message)

Parameters:
  `message` -

### PrologException

    protected PrologException(Throwable cause)

Parameters:
  `cause` -

### PrologException

    public PrologException(Term term,
                           Throwable inner)

  a constructor

  Parameters:
    `term` -
    `inner` - The cause of the exception.

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getTerm

    public Term getTerm()

  get term of this exception

  Returns:
    term of this exception

### systemError

    public static void systemError()
                            throws PrologException

  Throws:
    `PrologException`

### systemError

    public static void systemError(Throwable inner)
                            throws PrologException

  Throws:
    `PrologException`

### instantiationError

    public static void instantiationError()
                                   throws PrologException

  Throws:
    `PrologException`

### typeError

    public static void typeError(AtomTerm errorType,
                                 Term errorTerm)
                          throws PrologException

  Throws:
    `PrologException`

### existenceError

    public static void existenceError(AtomTerm errorType,
                                      Term errorTerm)
                               throws PrologException

  Throws:
    `PrologException`

### domainError

    public static void domainError(AtomTerm errorType,
                                   Term errorTerm)
                            throws PrologException

  Throws:
    `PrologException`

### representationError

    public static void representationError(Term errorTerm)
                                    throws PrologException

  Throws:
    `PrologException`

### syntaxError

    public static void syntaxError(AtomTerm term)
                            throws PrologException

  Throws:
    `PrologException`

### syntaxError

    public static void syntaxError(AtomTerm term,
                                   Throwable inner)
                            throws PrologException

  Throws:
    `PrologException`

### syntaxError

    public static void syntaxError(ParseException ex)
                            throws PrologException

  Throws:
    `PrologException`

### permissionError

    public static void permissionError(AtomTerm operation,
                                       AtomTerm permissionType,
                                       Term culprit)
                                throws PrologException

  Throws:
    `PrologException`

### evalutationError

    public static void evalutationError(AtomTerm error)
                                 throws PrologException

  Throws:
    `PrologException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD